package com.agiledeveloper

class Author {
  String firstName
  String lastName
  String emailAddress
  
  String toString() { "$firstName $lastName ($emailAddress)" }

  static hasMany = [books: Book]  
  
    static constraints = {
      firstName blank: false
      lastName blank: false
      emailAddress blank: false, email: true, unique: true
    }
}
